On October 19, 2021, we have enabled single-sign-on for our Plesk Support Center to provide a seamless login/account experience. This implies that you’ll be able to use a single account across any of our web-facing properties.
If you had already registered your account at Plesk 360 (formerly known as My Plesk) please use one for login. Otherwise please re-register it using the same email address as your existing Zendesk login (support account). It’s essential that you use the same email address on our support center to ensure that your tickets stay attached to the same account.

Website on Plesk server suddenly started to show 500 error: AH10292: Invalid proxy UDS filename

Follow

Comments

317 comments

  • Avatar
    Pablo González-Trejo

    This instructions assumes we all know how to use SSH... 

    Can you give us clear instructions to manage this?

    thanks

    0
    Comment actions Permalink
  • Avatar
    Mathias

    Thank you Lev Iurev - your solution works on AWS!

    I tried only adding sudo in front of the command. But I see now why this is not working. So for everyone out there with similar issues with the following response:

    E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
    E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

    Then please follow Lev's solution and start by doing this first:

    sudo su -  
    1
    Comment actions Permalink
  • Avatar
    Tim Walker

    tried several things but get an error Could not open lock file /var/lib/dpkg/lock-frontend -open (13: Permission denied) on 2 servers.

    must be missing something; for now I flipped the sites to Fast-CGI and it seems to have worked... fingers crossed

    -Tim

    0
    Comment actions Permalink
  • Avatar
    TechTheBoy

    You can try my walkaround above.

    Follow the steps :)

    Have fun!

    0
    Comment actions Permalink
  • Avatar
    Alessio Pellegrini

    Hi there,

    i did the fix but now i have

    ERR_TOO_MANY_REDIRECTS
     
    What to do? 
    0
    Comment actions Permalink
  • Avatar
    Tsviel Zaikman

     I am running 3 machines with plesk on Lightsail

    one is working now but the other 2 gives me the following error as soon as I run the downgrading command from sudo:

     

    sudo: export: command not found
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Version '' for 'apache2' was not found
    E: Version '' for 'apache2-utils' was not found
    E: Version '' for 'apache2-data' was not found
    E: Version '' for 'apache2-bin' was not found

     

    please help

    0
    Comment actions Permalink
  • Avatar
    Mathias

    Tsviel and Tim, follow Lev's solution and add the following before doing the other commands:

    sudo su -  
    2
    Comment actions Permalink
  • Avatar
    Grow

    There are some plesk updates I dont dare to update after today's incident. Stress quota for the month is already over.

    0
    Comment actions Permalink
  • Avatar
    Pablo González-Trejo

    TechTheBoy this works for me Thank you very much.

    Is this a temporary fix?

    Do we need to go back to previous setting at one point?

    thanks

    0
    Comment actions Permalink
  • Avatar
    Johan Adriaans (Edited )

    @Tsviel Zaikman

    I think export is a bash built-in, not sure why that won't work for you. But you can omit the export command by adding the version to the apt command manually like so:

    sudo apt-get install apache2="2.4.41-4ubuntu3" apache2-utils="2.4.41-4ubuntu3" apache2-data="2.4.41-4ubuntu3" apache2-bin="2.4.41-4ubuntu3"
    0
    Comment actions Permalink
  • Avatar
    Fitz

    Hi guys! Is there anyway someone can post a screen-cast of how to run this fix Ubuntu 18.04?

    I an unfortunately all alone with this without any developer help and just don't have any idea where to start :(

    My site is down and i am truly stuck. If someone can kindly post a step by step video i would be eternally grateful, you just wouldn't know how much this would help...

    Fingers crossed.

    Fitz

    0
    Comment actions Permalink
  • Avatar
    Stephen Hodgkiss

    Tim posted this - tried several things but get an error Could not open lock file /var/lib/dpkg/lock-frontend -open (13: Permission denied) on 2 servers.

    Make sure you are running the commands as root.

    0
    Comment actions Permalink
  • Avatar
    Mubox Digital

    Okay, the workaround is working for me also. Websites back online.

    But how is this even possible... ?

     

    1
    Comment actions Permalink
  • Avatar
    Joy Roy

    Thank you very much, now my server is up. Just a simple step. Thank you for the information.

    0
    Comment actions Permalink
  • Avatar
    TechTheBoy (Edited )

    Yeah, the walkarounds works and everything gets back up as usual, but if you have worfence security installed and 2FA ON, you wont be able to login, you will get this

    ERROR: An error was encountered while trying to authenticate. Please try again.

    but dont worry, after the Plesk team pushes a fix, you can revert those settings back to what they were and apply what the Plesk team tell you to do and everything should be back to normal as usual, hopefully :)

    Our best bet is to be patient until the official fix comes out from the Plesk team.

    Until then, have a great day ahead y'all. :)

    1
    Comment actions Permalink
  • Avatar
    Prasad Madusanka Mahabage

    Reading package lists... Done
    Building dependency tree

    I get this error

    Reading state information... Done
    E: Version '2.4.41-4ubuntu3' for 'apache2' was not found
    E: Version '2.4.41-4ubuntu3' for 'apache2-utils' was not found
    E: Version '2.4.41-4ubuntu3' for 'apache2-data' was not found
    E: Version '2.4.41-4ubuntu3' for 'apache2-bin' was not found

     

     

    0
    Comment actions Permalink
  • Avatar
    symon Horton (Edited )

    I really do not know what I am supposed to be doing to fix this problem. I am not a developer and do not know where to start

    can anyone help please

    1
    Comment actions Permalink
  • Avatar
    TechTheBoy

    Yo, you guys, if you are not familiar with SSH, dont try to mess around cause it could cause problems in the future if you get anything wrong, so be carefull, just a headsup for all the people who doesnt know about SSH :)

    1
    Comment actions Permalink
  • Avatar
    Harsha K

    Oh thank God, 25 sites were down in my server. Thanks for the workaround, but waiting for the permanent fix. Thanks! 

    0
    Comment actions Permalink
  • Avatar
    Harsha K

    @symon Horton Yes I can help you if you need 

    0
    Comment actions Permalink
  • Avatar
    Peter Hader

    The command asks at the end Do you want to continue [J/n] ABort (Möchten Sie fortfahren? [J/n] Abbruch.)

    After Typing "J" nothing happens.

    What shall I do? 

    0
    Comment actions Permalink
  • Avatar
    Harsha K

    @Peter Hader Input J and press Enter then it will continue. 

    0
    Comment actions Permalink
  • Avatar
    Tomas Cavic

    Great, it worked. Will there be any manual changes to be made in the future for apache to keep updating correctly?

    0
    Comment actions Permalink
  • Avatar
    Alessio Pellegrini

    Can someone help me? 

    I tried but nothing change

    0
    Comment actions Permalink
  • Avatar
    Fitz

    TechTheBoy is there any chance you can explain the steps of the 'Now, Click on Hosting and DNS' stage of the fix? as i cant seem to find this anywhere in Plesk... if you could make a short screen cast of applying the fit it would be even better!

    Fitz

    0
    Comment actions Permalink
  • Avatar
    Benjamin

    @Alessio Pellegrini I had the same "error" 

    It worked when I tried "Downgrade Apache to previous version" (the command) multiple times, after the 2nd try it worked :) 
    If there's "Abort." it won't work.

    0
    Comment actions Permalink
  • Avatar
    TechTheBoy (Edited )

    @Fitz Click on Hosting and DNS on the top menu bar

    0
    Comment actions Permalink
  • Avatar
    Flavius Flavius

    You are a good i love you !!!!!  tnx you very much i have fix the problem !!!!!!!

    0
    Comment actions Permalink
  • Avatar
    Thomas Grippaudo

    Alessio Pellegrini don't type "y" press "enter"

    0
    Comment actions Permalink
  • Avatar
    Harm Jakob Tolsma

    @Prasad Madusanka Mahabage Are you sure you are using the solution for the right version? I've seen that message when I tried the version 20.04 solution on Ubuntu 18.04

    0
    Comment actions Permalink

Please sign in to leave a comment.

Have more questions? Submit a request